GOST28147Parameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cryptopro

## Class GOST28147Parameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.GOST28147Parameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GOST28147Parameters
      extends ASN1Object

  ASN.1 algorithm identifier parameters for GOST-28147

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GOST28147Parameters(ASN1Sequence seq)` Deprecated. use the getInstance() method. This constructor will vanish!

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getEncryptionParamSet()` Return the OID representing the sBox to use.
    `static GOST28147Parameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static GOST28147Parameters` | `getInstance(java.lang.Object obj)`
    `byte[]` | `getIV()` Return the initialisation vector to use.
    `ASN1Primitive` | `toASN1Primitive()` Gost28147-89-Parameters ::= SEQUENCE { iv Gost28147-89-IV, encryptionParamSet OBJECT IDENTIFIER } Gost28147-89-IV ::= OCTET STRING (SIZE (8))

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GOST28147Parameters

          public GOST28147Parameters(ASN1Sequence seq)

      Deprecated. use the getInstance() method. This constructor will vanish!

  - ### Method Detail

    - #### getInstance

          public static GOST28147Parameters getInstance(ASN1TaggedObject obj,
                                        boolean explicit)

    - #### getInstance

          public static GOST28147Parameters getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           Gost28147-89-Parameters ::=
                         SEQUENCE {
                                 iv                   Gost28147-89-IV,
                                 encryptionParamSet   OBJECT IDENTIFIER
                          }

             Gost28147-89-IV ::= OCTET STRING (SIZE (8))

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getEncryptionParamSet

          public ASN1ObjectIdentifier getEncryptionParamSet()

      Return the OID representing the sBox to use.
      Returns:
        the sBox OID.

    - #### getIV

          public byte[] getIV()

      Return the initialisation vector to use.
      Returns:
        the IV.